is_valid_ether_addr
Prev | Driver Support | Next

## Name

is_valid_ether_addr — Determine if the given Ethernet address is valid

## Synopsis

`int is_valid_ether_addr (` | const u8 * | addr`)`;

## Arguments

`addr`

  Pointer to a six-byte array containing the Ethernet address

## Description

Check that the Ethernet address (MAC) is not 00:00:00:00:00:00, is not a multicast address, and is not FF:FF:FF:FF:FF:FF.

Return true if the address is valid.

Prev | Up | Next
is_broadcast_ether_addr | Home | random_ether_addr